# Module: packet/userid

## packet/userid

#### new require("packet/userid")()

  Source:
    - packet/userid.js, line 31

Source:
  - packet/userid.js, line 18

### Members

#### userid :String

  A string containing the user id. Usually in the form John Doe

  ##### Type:

  - String
  Source:
    - packet/userid.js, line 36

### Methods

#### read(input, position, len) → {module:packet/userid}

  Parsing function for a user id packet (tag 13).

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `input` | String | payload of a tag 13 packet
  `position` | Integer | position to start reading from the input string
  `len` | Integer | length of the packet or the remaining length of input at position

  Source:
    - packet/userid.js, line 47

  ##### Returns:

  object representation
  Type
    module:packet/userid

#### write(user_id) → {String}

  Creates a string representation of the user id packet

  ##### Parameters:

  Name | Type | Description
  --- | --- | ---
  `user_id` | String | the user id as string ("John Doe

  Source:
    - packet/userid.js, line 56

  ##### Returns:

  string representation
  Type
    String